import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AssetVisualizerComponent {
    /**
     * Define the default image, when no image set yet.
     */
    defaultAssetImgURL: string;
    /**
     * Define the image to show.
     */
    imgURL: string;
    /**
     * Define if user can edit image.
     */
    showEditImage: boolean;
    /**
     * Define if user can upload image.
     */
    showUploadImage: boolean;
    /**
     * Define if user can remove image.
     */
    showRemoveImage: boolean;
    /**
     * Define if user only can see the image.
     */
    onlyViewImage: boolean;
    imageUploaded: EventEmitter<any>;
    imageDeleted: EventEmitter<any>;
    sendAssetInfo: EventEmitter<any>;
    goToMonitorLink: EventEmitter<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssetVisualizerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssetVisualizerComponent, "uno-asset-visualizer", never, { "defaultAssetImgURL": "defaultAssetImgURL"; "imgURL": "imgURL"; "showEditImage": "showEditImage"; "showUploadImage": "showUploadImage"; "showRemoveImage": "showRemoveImage"; "onlyViewImage": "onlyViewImage"; }, { "imageUploaded": "imageUploaded"; "imageDeleted": "imageDeleted"; "sendAssetInfo": "sendAssetInfo"; "goToMonitorLink": "goToMonitorLink"; }, never, never, false>;
}
